Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1115664

Summary: Review Request: nodejs-connect-livereload - Connect middleware for adding the livereload script to the response
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-22 19:53:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 956806, 1115670    

Description Ralph Bean 2014-07-02 21:03:20 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-connect-livereload.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-connect-livereload-0.4.0-1.fc20.src.rpm

Description:
Connect middleware for adding the livereload script to the response.  No
browser plugin is needed.  If you are happy with a browser plugin, then you
don't need this middleware.

Comment 1 Parag AN(पराग) 2014-07-18 15:23:49 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-connect-livereload.src: W: spelling-error Summary(en_US) middleware -> middle ware, middle-ware, middleweight
nodejs-connect-livereload.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
nodejs-connect-livereload.x86_64: W: spelling-error Summary(en_US) middleware -> middle ware, middle-ware, middleweight
nodejs-connect-livereload.x86_64: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
nodejs-connect-livereload.x86_64: E: no-binary
nodejs-connect-livereload.x86_64: W: only-non-binary-in-usr-lib
nodejs-connect-livereload-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 5 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :426ab32f280dd90281a8ba996ebe176fc5025838828b2ef4d35f6ea6e765411b
upstream tarball :426ab32f280dd90281a8ba996ebe176fc5025838828b2ef4d35f6ea6e765411b

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines


Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 3 Parag AN(पराग) 2014-07-22 03:25:58 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:03:08 UTC
New Package SCM Request
=======================
Package Name: nodejs-connect-livereload
Short Description: Connect middleware for adding the livereload script to the response
Upstream URL: https://npmjs.org/package/connect-livereload
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:36:33 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 19:48:17 UTC
nodejs-connect-livereload-0.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-connect-livereload-0.4.0-2.fc20

Comment 7 Fedora Update System 2014-07-22 19:48:28 UTC
nodejs-connect-livereload-0.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-connect-livereload-0.4.0-2.fc19

Comment 8 Ralph Bean 2014-07-22 19:53:40 UTC
Buildroot overrides created.

Comment 9 Fedora Update System 2014-08-15 02:46:18 UTC
nodejs-connect-livereload-0.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:52:14 UTC
nodejs-connect-livereload-0.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.